| Version: 3.2.5

Classes | Macros | Enumerations | Variables
animate.h File Reference

## Classes

class | wxAnimationCtrl
| This is a static control which displays an animation. More...
class | wxGenericAnimationCtrl
| Generic implementation of wxAnimationCtrl interface. More...
class | wxAnimation
| The `wxAnimation` class handles the interface between the animation control and the details of the animation image or data. More...

## Macros

#define | wxAC_NO_AUTORESIZE (0x0010)
#define | wxAC_DEFAULT_STYLE (wxBORDER_NONE)

## Enumerations

enum | wxAnimationType { wxANIMATION_TYPE_INVALID , wxANIMATION_TYPE_GIF , wxANIMATION_TYPE_ANI , wxANIMATION_TYPE_ANY }
| Supported animation types. More...

## Variables

wxAnimation | wxNullAnimation
| An empty animation object. More...

## Macro Definition Documentation

## ◆ wxAC_DEFAULT_STYLE

#define wxAC_DEFAULT_STYLE (wxBORDER_NONE)

## ◆ wxAC_NO_AUTORESIZE

#define wxAC_NO_AUTORESIZE (0x0010)

## Enumeration Type Documentation

## ◆ wxAnimationType

enum wxAnimationType

Supported animation types.

Enumerator
wxANIMATION_TYPE_INVALID |
wxANIMATION_TYPE_GIF | represents an animated GIF file.
wxANIMATION_TYPE_ANI | represents an ANI file.
wxANIMATION_TYPE_ANY | autodetect the filetype.

## Variable Documentation

## ◆ wxNullAnimation

wxAnimation wxNullAnimation

An empty animation object.